babel-plugin-check-es2015-constants
    Overview
    Documentation
    Code
    Playground
    Issues
    Insights
    Contributors
    Dependencies
    Versions
    Alternatives

babel-plugin-check-es2015-constants

Compile ES2015 constants to ES5

6.22.0  •  Published 3 years ago  •  by hzoo  •  MIT License

Validate ES2015 constants

Installation

$ npm install babel-plugin-check-es2015-constants

Usage

Via .babelrc (Recommended)

.babelrc

{
  "plugins": ["check-es2015-constants"]
}

Via CLI

$ babel --plugins check-es2015-constants script.js

Via Node API

require("babel-core").transform("code", {
  plugins: ["check-es2015-constants"]
});

Note

This check will only validate consts. If you need it to compile down to var then you must also install and enable check-es2015-block-scoping.

Popularity

Weekly Downloads
2.4M

Maintenance

Development

Last ver 3 years ago
Created 4 years ago
Last commit 1 second ago
1 second between commits

Technology

Node version: 6.9.0
0 unpacked

Legal and Compliance

MIT License
OSI Approved
0 vulnerabilities

Contributors

0 contributors

Tags

babel-plugin